<?php

namespace Types;

class AufgabeRepeat {
  
  

    // --- Statische Eigenschaften ---
  
  static private $values ;
  static private $valuesShort ;

    // --- Statische Methoden ---
  
  public static function ensureIsLoaded() { 
    
    
    // --- BLOCK: main ---
    
  // Can be called to ensure class is loaded and initialized

    
  }

  public static function toString($x) { 
    
    
    // --- BLOCK: main ---
    return is_null($x) ? '-' : (self::$values[$x] ?? '');
    
  }

  public static function toStringShort($x) { 
    
    
    // --- BLOCK: main ---
    return is_null($x) ? '-' : self::$valuesShort[$x];
    
  }

  public static function parse($x) { 
    
    
    // --- BLOCK: main ---
    
		$result = array_search($x, self::$values);
		if ($result !== false) return $result;
		$result = array_search($x, self::$valuesShort);
		if ($result !== false) return $result;
		return null;
    
  }

  public static function initialize() { 
    
    
    // --- BLOCK: values ---
    
		self::$values[0] = _('keine Wiederholung');
	self::$values[11] = _('Wöchentlich');
	self::$values[12] = _('Monatlich');
	self::$values[13] = _('Quartärlich');
	self::$values[14] = _('Jährlich');
	
    // --- BLOCK: valuesShort ---
    
		self::$valuesShort[0] = _('keine Wiederholung');
	self::$valuesShort[11] = _('Wöchentlich');
	self::$valuesShort[12] = _('Monatlich');
	self::$valuesShort[13] = _('Quartärlich');
	self::$valuesShort[14] = _('Jährlich');
	
    
  }


  
  

  
  
}

\Types\AufgabeRepeat::initialize(); 

